View Issue Details

IDProjectCategoryView StatusLast Update
14347Feature requests[All Projects] Ergonomypublic2019-08-07 17:39
Reportermarkusd1984 Assigned Toeddylackmann  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary14347: Delete Surveys - List selected surveys for mass deletion in the confirm dialog to prevent accidentally deleting unwanted surveys
Description

"Are you sure you want to delete all those surveys?" is not showing which surveys actually have been manually selected

while we can assume the user knows which ones they selected it may be safer and better approach to list the surveys so they can double check them, especially if they may be working with a bigger list

in case they have selected surveys they didn't meant to delete or change their mind (as a result of reviewing survey names) they can thus click "No" and review their choice,

where otherwise having simply pressed "Yes" to confirm and only then receiving the list of surveys that have been deleted could be fatal to realise having deleted a wrong survey as it will be too late :)

TagsNo tags attached.

Activities

DenisChenu

DenisChenu

2018-12-16 10:10

developer   ~49970

Yep, great idea :) hard to do but great idea :)

LouisGac

LouisGac

2018-12-20 11:18

manager   ~50024

no it should not be that hard to do
I agree it's a good idea

DenisChenu

DenisChenu

2018-12-20 12:28

developer   ~50033

Remind always POST value :)

ritapas

ritapas

2019-02-06 10:39

reporter   ~50422

+1

eddylackmann

eddylackmann

2019-07-17 11:07

developer   ~52903

So i add the feature for all actions. it will automatically display the list of selected surveys when clicking on some action .



selected 2.PNG (24,875 bytes)
selected 2.PNG (24,875 bytes)
selected.PNG (22,003 bytes)
selected.PNG (22,003 bytes)
selected 3.PNG (29,339 bytes)
selected 3.PNG (29,339 bytes)
ritapas

ritapas

2019-07-17 11:11

reporter   ~52904

does the "Selected" word (in green) point to an action (i.e. deselecting)?

eddylackmann

eddylackmann

2019-07-17 11:22

developer   ~52906

@ritapas no. Thats a great idea but we have to refactor the "MassiveActionsWidget" to make it possible.

eddylackmann

eddylackmann

2019-07-17 13:35

developer   ~52910

features added to develop branch

Issue History

Date Modified Username Field Change
2018-12-14 11:44 markusd1984 New Issue
2018-12-16 10:10 DenisChenu Note Added: 49970
2018-12-20 11:18 LouisGac Note Added: 50024
2018-12-20 11:18 LouisGac Assigned To => LouisGac
2018-12-20 11:18 LouisGac Status new => assigned
2018-12-20 12:28 DenisChenu Note Added: 50033
2019-01-12 11:04 DenisChenu Category Accessibility => Ergonomy
2019-02-06 10:39 ritapas Note Added: 50422
2019-07-11 16:01 LouisGac Assigned To LouisGac => eddylackmann
2019-07-17 11:07 eddylackmann File Added: selected 2.PNG
2019-07-17 11:07 eddylackmann File Added: selected.PNG
2019-07-17 11:07 eddylackmann File Added: selected 3.PNG
2019-07-17 11:07 eddylackmann Note Added: 52903
2019-07-17 11:11 ritapas Note Added: 52904
2019-07-17 11:22 eddylackmann Note Added: 52906
2019-07-17 13:35 eddylackmann Status assigned => resolved
2019-07-17 13:35 eddylackmann Resolution open => fixed
2019-07-17 13:35 eddylackmann Note Added: 52910
2019-08-07 17:39 eddylackmann Status resolved => closed